The payout.state-updated event is triggered when a payout reaches one of the following terminal states: SENT, FAILED, CANCELLED, or REVERSED.
The event's data object has the same structure as the payout returned by the GET payouts/{id} endpoint.
To receive this event, enable Payout state updated events for the webhook configuration in the Rafiki portal.
Changes to state.context without a change to state.code are delivered through the payout.state-context-updated event when that event is also enabled.
{
"id": "wbh-xxx",
"type": "payout.state-updated",
"created_at": "2026-09-28T11:08:00Z",
"data": {
"id": "pyt-xxx",
"state": {
"code": "SENT"
},
"...": "all other Payout fields, same as GET /v1/payouts/{id}"
}
}